import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.nio.charset.StandardCharsets;
import java.time.LocalDate;
import java.util.Scanner;

public class BaferizovanoCitanjeRadnikaIzFajla {

	// Klasa koja implementira baferizovano otvaranje fajla i 
	// čitanje podataka iz fajla na nivou karaktera

	private static BufferedReader ulaz;
	
	public static void main(String[] args) {
		try {
			otvoriFajl();
			citajRadnikeIzFajla();
			zatvoriFajl();
		} 
		catch(IOException e) {
			System.err.println("Greška pri radu sa fajlom.");
			System.exit(1);
		}
	}
	
	public static void otvoriFajl() throws IOException {
		ulaz = new BufferedReader(
							new FileReader("Radnici.txt", StandardCharsets.UTF_8));
	}
	
	public static void citajRadnikeIzFajla() throws IOException {
		Radnik r = new Radnik();
		String linija;
		Scanner skener;
		
		while((linija = ulaz.readLine()) != null) {
			skener = new Scanner(linija);
			r.setIme(skener.next());
			r.setPrezime(skener.next());
			r.setPocetak(LocalDate.parse(skener.next()));
			r.setSprema(skener.nextInt());
			System.out.println(r);
			skener.close();
		}
	}
	
	public static void zatvoriFajl() throws IOException {
		if(ulaz != null)
			ulaz.close();
	}
}