import java.io.BufferedInputStream;
import java.io.EOFException;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.ObjectInputStream;

public class TestBufferedInputStream {

	// Klasa koja poredi brzine nebaferizovanog i 
	// baferizovanog čitanja binarnog fajla
	
	private static ObjectInputStream ulaz;
	
	public static void main(String[] args) {
		try {
			long pocetak = System.currentTimeMillis();
			for(int i = 0; i < 10000; i++) {
				otvoriFajlNebaferizovano();  // ili otvoriFajlBaferizovano()
				citajRadnikeIzFajla();
				zatvoriFajl();
			}
			long kraj = System.currentTimeMillis();
			double proteklo = (kraj - pocetak) / 1000.0;
			System.out.println("Vreme izvršenja: " + proteklo + " [s]");
		}
		catch(IOException e) {
			System.err.println("Greška pri radu sa fajlom.");
			System.exit(1);
		}
	}
	
	public static void otvoriFajlNebaferizovano() throws IOException {
		try {
			ulaz = new ObjectInputStream(
							new FileInputStream("Radnici.ser"));
		}
		catch(FileNotFoundException e) {
			System.err.println("Greška pri otvaranju.");
			System.exit(1);
		}
	}
	
	public static void otvoriFajlBaferizovano() throws IOException {
		try {
			ulaz = new ObjectInputStream(
							new BufferedInputStream(
							new FileInputStream("Radnici.ser")));
		}
		catch(FileNotFoundException e) {
			System.err.println("Greška pri otvaranju.");
			System.exit(1);
		}
	}
	
	public static void citajRadnikeIzFajla() throws IOException {
		try {
			while(true) {
				Radnik r = (Radnik) ulaz.readObject();
			}
		}
		catch (ClassNotFoundException | EOFException e) {
		}
	}
	
	public static void zatvoriFajl() throws IOException {
		if(ulaz != null)
			ulaz.close();
	}
}
