import java.util.concurrent.locks.Condition;
import java.util.concurrent.locks.ReentrantLock;

public class Banka {
	
	// Klasa Banka sa sinhronizacijom niti koristeći
	// klasu ReentrantLock i interfejs Condition

	private Racun[] racuni;
	public static final int BROJ_RACUNA = 10;
	public static final int POCETNO_STANJE = 100;
	public static final int MAX_IZNOS = 10;
	final ReentrantLock brava;
	final Condition imaSredstava;
	
	public Banka() {
		racuni = new Racun[BROJ_RACUNA];
		for(int i = 0; i < racuni.length; i++)
			racuni[i] = new Racun(POCETNO_STANJE);
		
		brava = new ReentrantLock();
		imaSredstava = brava.newCondition();
	}
	
	public void prenesi(int saRacuna, int naRacun, int iznos) {
		brava.lock();
		try {
			while(iznos > racuni[saRacuna].getStanje())
				imaSredstava.await();
			racuni[saRacuna].podigni(iznos);
			racuni[naRacun].uplati(iznos);
			String poruka = "%s: prebačeno %d\u20AC sa računa %s na %s.";
			poruka += " Ukupno: %d\u20AC\n";
			String imeNiti = Thread.currentThread().getName();
			System.out.printf(poruka, imeNiti, iznos, 
							saRacuna, naRacun, ukupnoStanje());
			imaSredstava.signalAll();
		} 
		catch (InterruptedException e) {
			e.printStackTrace();
		}
		finally {
			brava.unlock();
		}
	}
 
	public int ukupnoStanje() {
		brava.lock();
		try {
			int ukupno = 0;
			for (int i = 0; i < racuni.length; i++)
				ukupno += racuni[i].getStanje();
			return ukupno;
		}
		finally {
			brava.unlock();
		}
	}
}
