public class Banka {
	
	// Klasa Banka sa sinhronizacijom niti koristeći synchronized metode

	private Racun[] racuni;
	public static final int BROJ_RACUNA = 10;
	public static final int POCETNO_STANJE = 100;
	public static final int MAX_IZNOS = 10;
 
	public Banka() {
		racuni = new Racun[BROJ_RACUNA];
		for(int i = 0; i < racuni.length; i++)
			racuni[i] = new Racun(POCETNO_STANJE);
	}
 
	public synchronized void prenesi(int saRacuna, int naRacun, int iznos) {
		try {
			while(iznos > racuni[saRacuna].getStanje())
				wait();
			racuni[saRacuna].podigni(iznos);
			racuni[naRacun].uplati(iznos);
			String poruka = "%s: prebačeno %d\u20AC sa računa %s na %s.";
			poruka += " Ukupno: %d\u20AC\n";
			String imeNiti = Thread.currentThread().getName();
			System.out.printf(poruka, imeNiti, iznos, 
							saRacuna, naRacun, ukupnoStanje());
			notifyAll();
		}
		catch (InterruptedException e) {
			e.printStackTrace();
		}
	}
 
	public synchronized int ukupnoStanje() {
		int ukupno = 0;
		for (int i = 0; i < racuni.length; i++)
			ukupno += racuni[i].getStanje();
		return ukupno;
	}
}