public class Transakcija implements Runnable {

	// Klasa koja predstavlja transakciju (prenos novca sa računa na račun)

	private Banka banka;
	private int saRacuna;

	public Transakcija(Banka banka, int saRacuna) {
		this.banka = banka;
		this.saRacuna = saRacuna;
	}
	 
	public void run() {
		while(true) {
			// Slučajno biramo račun na koju uplaćujemo novac
			int naRacun = (int) (Math.random() * Banka.BROJ_RACUNA);
			// Slučajno biramo iznos novca za prenose sa računa na račun
			int iznos = (int) (Math.random() * Banka.MAX_IZNOS);
			// Ne prenosimo novac sa računa na isti račun i ne prenosimo 0€
			if (naRacun == saRacuna || iznos == 0) continue;

			banka.prenesi(saRacuna, naRacun, iznos);

			try {
				Thread.sleep(10);
			} 
			catch (InterruptedException e) {
				e.printStackTrace();
			}
		}
	}
}