import java.io.IOException;
import java.nio.charset.StandardCharsets;
import java.nio.file.*;
import java.util.*;

public class RadSaMapom {

	// Korišćenje mape za brojanje reči u tekstualnom fajlu
	
	public static void main(String[] args) {
		List< String > listaLinija = null;
	
		try {
			Path putanja = Paths.get("C:\\Temp\\Tekst.txt");
			listaLinija = Files.readAllLines(putanja, StandardCharsets.UTF_8);
		}
		catch(IOException e) {
			System.err.println("Greška prilikom čitanja fajla.");
			System.exit(1);
		}

		Map< String, Integer > mapa = new TreeMap< String, Integer >();
		for(String linija: listaLinija) {
			linija = linija.toLowerCase();
			String reci[] = linija.split("[ ,.;!?-]");
			for(String rec: reci) {
				if(rec.length() > 0)
					if(mapa.containsKey(rec))
						mapa.put(rec, mapa.get(rec) + 1);
					else
						mapa.put(rec, 1);
			}
		}
	
		Set< String > kljucevi = mapa.keySet();
		int k = 1;
		for(String rec: kljucevi)
			System.out.printf("%-13s%3s%s", rec,
							mapa.get(rec), (k++ % 4 == 0)? "\n" : " | ");
	}
}