import java.io.FileNotFoundException;
import java.io.EOFException;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.ObjectInputStream;

public class CitanjeRadnikaIzFajla {

	// Klasa koja implementira otvaranje i čitanje objekata iz binarnog fajla
	
	private static ObjectInputStream ulaz;
	
	public static void main(String[] args) {
		try {
			otvoriFajl();
			citajRadnikeIzFajla();
			zatvoriFajl();
		}
		catch(IOException e) {
			System.err.println("Greška pri radu sa fajlom.");
			System.exit(1);
		}
	}
	
	public static void otvoriFajl() throws IOException {
		try {
			FileInputStream fis = new FileInputStream("Radnici.ser");
			ulaz = new ObjectInputStream(fis);
		}
		catch(FileNotFoundException e) {
			System.err.println("Greška pri otvaranju.");
			System.exit(1);
		}
	}
	
	public static void citajRadnikeIzFajla() throws IOException {
		try {
			while(true) {
				Radnik r = (Radnik) ulaz.readObject();
				System.out.println(r);
			}
		}
		catch (ClassNotFoundException e) {
			e.printStackTrace();
		}
		catch (EOFException e) {
			System.out.println("Kraj čitanja binarnog fajla");
		}
	}
	
	public static void zatvoriFajl() throws IOException {
		if(ulaz != null)
			ulaz.close();
	}
}
