import java.io.File;
import java.io.FileNotFoundException;
import java.time.LocalDate;
import java.util.Scanner;

public class CitanjeRadnikaIzFajla {

	// Klasa koja implementira otvaranje fajla i čitanje podataka iz fajla

	private static Scanner ulaz;
	
	public static void main(String[] args) {
		otvoriFajl();
		citajRadnikeIzFajla();
		zatvoriFajl();
	}
	
	public static void otvoriFajl() {
		try {
			ulaz = new Scanner(new File("Radnici.txt"));
		}
		catch(FileNotFoundException e) {
			System.err.println("Greška pri otvaranju.");
			System.exit(1);
		}
	}
	
	public static void citajRadnikeIzFajla() {
		Radnik r = new Radnik();
		
		while(ulaz.hasNext()) {
			r.setIme(ulaz.next());
			r.setPrezime(ulaz.next());
			r.setPocetak(LocalDate.parse(ulaz.next()));
			r.setSprema(ulaz.nextInt());
			
			System.out.println(r);
		}
	}
	
	public static void zatvoriFajl() {
		if(ulaz != null)
			ulaz.close();
	}
}