import java.time.LocalDate;
import java.time.format.DateTimeFormatter;

public class Radnik {

	// Klasa koja modeluje radnika

	private String ime;
	private String prezime;
	private LocalDate pocetak;
	private int sprema;
	private static final DateTimeFormatter df = 
					DateTimeFormatter.ofPattern("dd/MM/yyyy");
	
	public Radnik() {
		this("", "", LocalDate.now(), 0);
	}
	
	public Radnik(String ime, String prezime, LocalDate pocetak, int sprema){
		setIme(ime);
		setPrezime(prezime);
		setPocetak(pocetak);
		setSprema(sprema);
	}
	
	public String getIme() {
		return ime;
	}
	
	public void setIme(String ime) {
		this.ime = ime;
	}
	
	public String getPrezime() {
		return prezime;
	}
	
	public void setPrezime(String prezime) {
		this.prezime = prezime;
	}
	
	public LocalDate getPocetak() {
		return pocetak;
	}
	
	public void setPocetak(LocalDate pocetak) {
		this.pocetak = pocetak;
	}
	
	public int getSprema() {
		return sprema;
	}
	
	public void setSprema(int sprema) {
		this.sprema = sprema;
	}
	
	@Override
	public String toString() {
		return String.format("%-10s %-12s sprema: %d  početak: %s",
							this.getIme(),
							this.getPrezime(),
							this.getSprema(),
							df.format(this.getPocetak()));
	}
}