import java.io.FileWriter;
import java.io.IOException;
import java.time.LocalDate;
import java.util.Scanner;
import java.nio.charset.StandardCharsets;

public class DopisivanjeRadnikaUFajl {

	// Klasa koja implementira operaciju dopisivanja podataka u fajl
	
	private static FileWriter dopisivanje;
	
	public static void main(String[] args) {
		try {
			otvoriFajl();
			dopisiRadnikeUFajl();
			zatvoriFajl();
		}
		catch (IOException e) {
			System.err.println("Greška pri radu sa fajlom.");
			System.exit(1);
		}
	}

	public static void otvoriFajl() throws IOException {
		dopisivanje = new FileWriter("Radnici.txt", 
							StandardCharsets.UTF_8, 
							true);
	}
	
	public static void dopisiRadnikeUFajl() throws IOException {
		Radnik r = new Radnik();
		Scanner unos = new Scanner(System.in);
		
		System.out.print("Koliko radnika želite da dopišete? ");
		int brojRadnika = unos.nextInt();
		
		System.out.println("Unesite radnike u formatu: <ime> <prezime> " +
							"<datum> <sprema>");
		System.out.println("(<datum> unesite u formatu yyyy-mm-dd)");
		for(int i = 0; i < brojRadnika; i++) {
			r.setIme(unos.next());
			r.setPrezime(unos.next());
			r.setPocetak(LocalDate.parse(unos.next()));
			r.setSprema(unos.nextInt());
			String red = String.format("%s %s %s %d\n", 
							r.getIme(),
							r.getPrezime(),
							r.getPocetak(),
							r.getSprema());
			dopisivanje.write(red);
		}
		
		unos.close();
	}
	
	public static void zatvoriFajl() throws IOException {
		if(dopisivanje != null)
			dopisivanje.close();
	}
}
