import java.util.Random;

public class SpilKarata {

	// Klasa koja predstavlja špil karata
	
	private Karta Spil[];	// niz objekata Karta
	public static final int BROJ_KARATA = 52; // broj karata u špilu
	private int tekKarta;	// tekuća karta (0 do BROJ_KARATA-1)
	private static Random slucBroj = new Random(); // gener. sluč. brojeva
	
	public SpilKarata() {
		String rangovi[] = {"As","2","3","4","5","6","7","8","9","10","Pub","Dama","Kralj"};
		String znakovi[] = {"Pik","Tref","Karo","Herc"};
		
		Spil = new Karta[BROJ_KARATA]; // kreiranje novog špila
		tekKarta = 0;
		
		for(int i = 0; i < BROJ_KARATA; i++)
			Spil[i] = new Karta(rangovi[i % 13], znakovi[i / 13]);
	}
	
	// metoda mesaj koja meša (nasumično raspoređuje) karte
	public void mesaj() {
		tekKarta = 0;
		
		for(int i = 0; i < BROJ_KARATA; i++) {
			// generisanje slučajne pozicije u nizu Spil
			int j = slucBroj.nextInt(BROJ_KARATA);
			
			// zamena i-te i j-te karte koristeci kartu privremena
			Karta privremena = Spil[i];
			Spil[i] = Spil[j];
			Spil[j] = privremena;
		}
	}
	
	// metoda deli koja deli karte (vraća tekuću kartu)
	public Karta deli() {
		if(tekKarta < BROJ_KARATA)
			return Spil[tekKarta++];
		else
			return null;
	}
}