import java.util.Scanner;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;
import java.time.LocalDate;

public class UpisRadnikaUFajl {
	
	// Klasa koja implementira operacije kreiranja binarnog fajla, 
	// upisa podataka o radnicima i zatvaranje fajla

	private static ObjectOutputStream izlaz;
	
	public void otvoriFajl() {
		try {
			FileOutputStream fos = new FileOutputStream("Radnici.ser");
			izlaz = new ObjectOutputStream(fos);
		}
		catch(IOException e) {
			System.err.println("Greška pri otvaranju fajla.");
			System.exit(1);
		}
	}
	
	public void upisiRadnikeUFajl() {
		Scanner unos = new Scanner(System.in);
		
		System.out.print("Koliko radnika želite da unesete? ");
		int brojRadnika = unos.nextInt();
		System.out.println("Unesite radnike u formatu: <ime> <prezime> " +
							"<datum> <sprema>");
		System.out.println("(<datum> unesite u formatu yyyy-mm-dd)");
		for(int i = 0; i < brojRadnika; i++) {
			Radnik r = new Radnik();
			r.setIme(unos.next());
			r.setPrezime(unos.next());
			r.setPocetak(LocalDate.parse(unos.next()));
			r.setSprema(unos.nextInt());
			try {
				izlaz.writeObject(r);
			} 
			catch(IOException e) {
				System.err.println("Greška pri upisu u fajl.");
			}
		}
		
		unos.close();
	}
	
	public void zatvoriFajl() {
		try {
			if(izlaz != null)
				izlaz.close();
		} 
		catch (IOException e) {
			System.err.println("Greška pri zatvaranju fajla.");
		}
	}
}
