import java.util.Formatter;
import java.util.Scanner;
import java.io.FileNotFoundException;
import java.io.UnsupportedEncodingException;
import java.time.LocalDate;

public class UpisRadnikaUFajl {
	
	// Klasa koja implementira operacije kreiranja tekstualnog fajla, 
	// upisa podataka o radnicima i zatvaranje fajla

	private static Formatter izlaz;
	
	public void otvoriFajl() {
		try {
			izlaz = new Formatter("Radnici.txt", "UTF-8");
		}
		catch(FileNotFoundException e) {
			System.err.println("Greška pri otvaranju.");
			System.exit(1);
		} 
		catch (UnsupportedEncodingException e) {
			System.err.println("Kodiranje nije podržano.");
			System.exit(1);
		}
	}
	
	public void upisiRadnikeUFajl() {
		Radnik r = new Radnik();
		Scanner unos = new Scanner(System.in);
		
		System.out.print("Koliko radnika želite da unesete?");
		int brojRadnika = unos.nextInt();
		System.out.println("Unesite radnike u formatu: <ime> <prezime> <datum> <sprema>");
		System.out.println("(<datum> unesite u formatu yyyy-mm-dd)");
		for(int i = 0; i < brojRadnika; i++) {
			r.setIme(unos.next());
			r.setPrezime(unos.next());
			r.setPocetak(LocalDate.parse(unos.next()));
			r.setSprema(unos.nextInt());
			izlaz.format("%s %s %s %d\n", r.getIme(), 
										  r.getPrezime(), 
										  r.getPocetak(), 
										  r.getSprema());
		}
		
		unos.close();
	}
	
	public void zatvoriFajl() {
		if(izlaz != null)
			izlaz.close();
	}
}