import java.util.concurrent.locks.*;

public class Bafer {
	
	// Klasa Bafer sa eksplicitnim mehanizmom zaključavanja

	final static int VELICINA_BAFERA = 10;
	private int[] bafer;
	private int indeks = -1;
	private boolean procitanZadnji = true;
	final ReentrantLock brava = new ReentrantLock();
	final Condition mozeUpis = brava.newCondition();
	final Condition mozeCitanje = brava.newCondition();
	
	public Bafer() {
		bafer = new int[VELICINA_BAFERA];
	}
	
	public void upisi(int broj) throws InterruptedException {
		brava.lock();
		try {
			while(!procitanZadnji)
				mozeUpis.await();
			bafer[++indeks] = broj;
			procitanZadnji = false;
			System.out.println(broj + " upisan");
			mozeCitanje.signalAll();
		}
		finally {
			brava.unlock();
		}
	}
	
	public int procitaj() throws InterruptedException {
		int procitanBroj = 0;
		brava.lock();
		try {
			while(procitanZadnji)
				mozeCitanje.await();
			procitanBroj = bafer[indeks];
			procitanZadnji = true;
			System.out.println(procitanBroj + " pročitan");
			mozeUpis.signalAll();
		}
		finally {
			brava.unlock();
		}
		return procitanBroj;
	}
}